Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1451 (assigned defect)

Opened 12 years ago

Last modified 11 years ago

post-0.9.3 regression: scanning is too system intensive

Reported by: ddrake@brontes3d.com Assigned to: proski (accepted)
Priority: critical Milestone: version 0.9.4
Component: madwifi: driver Version:
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description (Last modified by mrenzmann)

As reported on the mailing list: http://thread.gmane.org/gmane.linux.drivers.madwifi.devel/4744

In trunk after 0.9.3, at some point, scanning has become much more system intensive, to the degree where it noticably interrupts our realtime 3D graphics rendering.

I suspect this is because as of post-0.9.3, the device is generating an order of magnitude more interrupts when scanning. I'm measuring the interrupt count from /proc/interrupts, sampled every second for a 5 minute period (and then averaged to per-second values):

With 0.9.2 and 0.9.3, I find that when trying to make the device scan a lot, I get up to 100 interrupts per second. Not unreasonable for all the channel changing going on.

With post-0.9.3 (tested r2376 and r2518), I generally get more than 2000 interrupts per second performing the same test. The highest value I saw was 4600 interrupts per second -- rather excessive.

Attachments

306-mib_intr_workaround.patch (2.9 kB) - added by george@providentdata.com on 11/28/07 09:46:11.
Patch from #1445 for high interrupt count

Change History

07/19/07 07:49:25 changed by mrenzmann

  • description changed.
  • milestone set to version 0.9.4.

It would be nice if we could address that before 0.9.4 gets released.

07/19/07 15:52:27 changed by msmith@cbnco.com

Maybe related to #1445.

07/19/07 20:18:42 changed by mentor

  • priority changed from minor to critical.

11/28/07 09:44:29 changed by george@providentdata.com

Does seem very similar to #1445, which is now closed. Anybody tried that patch yet for this?

Will attach to this issue for testing.

11/28/07 09:46:11 changed by george@providentdata.com

  • attachment 306-mib_intr_workaround.patch added.

Patch from #1445 for high interrupt count

09/29/08 06:17:08 changed by proski

  • status changed from new to assigned.
  • owner set to proski.
  • pending changed.